﻿using System.Collections.Generic;

namespace jsonSerialization
{
    public class Student
    {
        public string Name { get; set; }

        public Teacher[] Teachers = new Teacher[4];

        // IList can be serialized (unlike XML serialization)
        public IList<Teacher> TeacherList = new List<Teacher>();

        public override string ToString()
        {
            return Name + " Teachers: " + string.Join(", ", TeacherList);
        }
    }
}
